libqwt-5.2.3-alt1.x86_64.rpm


Advertisement

Description

libqwt - 2D plotting widget extension to the Qt GUI

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libqwt
Package version 5.2.3
Package release alt1
Package architecture x86_64
Package type rpm
Installed size 928.81 KB
Download size 928.81 KB
Official Mirror ftp.altlinux.org
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

Alternatives

Package Version Architecture Repository
libqwt-5.2.3-alt1.i586.rpm 5.2.3 i586 Classic
libqwt - - -

Requires

Name Value
libQtCore.so.4()(64bit) -
libQtDesigner.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtSvg.so.4()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -
rtld(GNU_UNIQUE) -

Provides

Name Value
libqwt = 1:5.2.3-alt1
libqwt.so.5()(64bit) -

Conflicts

Name Value
libqwt5_3 = 5.3.0-alt1.svn20090920

Obsoletes

Name Value
libqwt5_3 = 5.3.0-alt1.svn20090920

Download

Type URL
Binary Package libqwt-5.2.3-alt1.x86_64.rpm
Source Package libqwt-5.2.3-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libqwt rpm package:
    # sudo apt-get install libqwt

Files

Path
/usr/lib64/libqwt.so.5
/usr/lib64/libqwt.so.5.2
/usr/lib64/libqwt.so.5.2.3
/usr/lib64/qt4/plugins/designer/libqwt_designer_plugin.so
/usr/share/doc/libqwt-5.2.3/CHANGES
/usr/share/doc/libqwt-5.2.3/README

Changelog

2014-08-20 - Sergey V Turchin <zerg@altlinux.org> 1:5.2.3-alt1
- new version (ALT#30238)
- built with SVG support
2013-08-04 - Vitaly Lipatov <lav@altlinux.ru> 1:5.2.2-alt1
- new version 5.2.2 (with rpmrb script)
2011-02-26 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:5.2.0-alt7
- Rebuilt for debuginfo
2010-10-25 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:5.2.0-alt6
- Rebuilt for soname set-versions
2009-09-28 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:5.2.0-alt5
- Restored old version (wish of ldv@)
2009-07-23 - Vitaly Lipatov <lav@altlinux.ru> 5.2.0-alt2
- build for Sisyphus
2009-07-22 - Michael Shigorin <mike@altlinux.org> 5.2.0-alt1
- new version 5.2.0 (with rpmrb script) (closes: #20844)
- updated patch
- buildreq
2008-06-18 - Vitaly Lipatov <lav@altlinux.ru> 5.1.1-alt1
- new version 5.1.1 (with rpmrb script) - fix #14854

See Also

Package Description
libqwt-devel-5.2.3-alt1.x86_64.rpm Development tools for programs which uses Qwt Widget set
libqwt6-6.1.3-alt1.x86_64.rpm 2D plotting widget extension to the Qt GUI
libqwt6-devel-6.1.3-alt1.x86_64.rpm Development tools for programs which uses Qwt Widget set
libqwt6-qt4-designer-plugin-6.1.3-alt1.x86_64.rpm Qwt plugin for qt4-designer
libqwt6-qt5-6.1.3-alt1.x86_64.rpm 2D plotting widget extension to the Qt5 GUI
libqwt6-qt5-designer-plugin-6.1.3-alt1.x86_64.rpm Qwt plugin for qt5-designer
libqwt6-qt5-devel-6.1.3-alt1.x86_64.rpm Development tools for programs which uses Qwt Widget set
libqwtplot3d-0.3.0-alt1.svn20090915.3.qa1.x86_64.rpm 3D plotting widget extension to the Qt GUI
libqwtplot3d-devel-0.3.0-alt1.svn20090915.3.qa1.x86_64.rpm Development tools for programs which uses QwtPlot3D Widget set
libqwtpolar-1.1.1-alt1.x86_64.rpm A Qwt/Qt Polar Plot Library
libqwtpolar-devel-1.1.1-alt1.x86_64.rpm Header files for qwtpolar
libqwtpolar-qt4-designer-1.1.1-alt1.x86_64.rpm qwtpolar qt4 designer plugin
libqxmpp-0.9.3-alt1.x86_64.rpm Qt XMPP library
libqxmpp-devel-0.9.3-alt1.x86_64.rpm Qt XMPP library development files
libqxmpp-qt5-0.9.3-alt1.x86_64.rpm Qt XMPP library
Advertisement
Advertisement